Skip to main content
GET
/
esim
/
packages
/
regions
/
{regionId}
Get Regional Packages
curl --request GET \
  --url https://business.bfinance.app/external/api/esim/packages/regions/{regionId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "packages": [
      {
        "id": "123",
        "name": "eSIM | Europe, Unlimited, 30 days",
        "price": 29.99,
        "data": {
          "quantity": 1000,
          "unit": "MB"
        },
        "voice": {
          "quantity": 200,
          "unit": "min"
        },
        "sms": {
          "quantity": 50
        },
        "validity": {
          "quantity": 30,
          "unit": "days"
        },
        "unlimited": true
      }
    ],
    "page": 1,
    "totalPages": 1
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

regionId
string
required

The ID of the region for which the packages are requested.

Query Parameters

unlimited
enum<string>

Filter packages by unlimited option. Use "true" for unlimited packages, "false" for non-unlimited.

Available options:
true,
false
sortBy
string

Field to sort the packages by (currently supports "price").

Example:

"price"

sortType
enum<string>

Sorting order (ascending or descending) when sorting by price.

Available options:
asc,
desc
page
integer
default:1

Page number for pagination.

Response

Successfully retrieved the list of regional packages.

status
string
Example:

"success"

data
object